<?php
include("tng_begin.php");
function setLiving($gedcom,$ids) {
global $people_table;
// Clear all Living Fields
$query = "UPDATE $people_table SET living = 0 WHERE living = 1";
$result = tng_query($query);
// Set all the ones from the list
$query = "UPDATE $people_table SET living = 1 WHERE personID in ($ids)";
$result = tng_query($query);
}
function validGedcom($gedcom) {
global $people_table;
$query = "SELECT * FROM $people_table WHERE gedcom = '$gedcom' limit 1";
$result = tng_query($query);
 
 
if(!tng_num_rows($result)) {
  $res = false;
} else {$res=true;}
 
    tng_free_result($result);
return($res);
}
 
 
$gedcom =  htmlentities ( trim ( $_POST[ 'gedcom' ] ) , ENT_NOQUOTES );
$ids =  htmlentities ( trim ( $_POST[ 'ids' ] ) , ENT_NOQUOTES );
$ids = str_replace('"','',$ids) ;
$ids = rtrim($ids, ',');
 
if (isset($_POST[ 'gedcom' ])) {
if (validGedcom($gedcom)) {
setLiving($gedcom,$ids);
$error =  "Flags reset";
} else {
$error = "No people found for gedcom named: '$gedcom'";
}
 
}
?>
<html>
<head>
<title>Set Living Field from list of IDs</title>
</head>
<body>
     <form action="" method='POST'>
     <label for="gedcom">
       Please enter the name of the Gedcom you want to set the Living Flag for
     </label>
     <br /><input type="text" name="gedcom" value="<?php echo $gedcom; ?>" />
     <br /><label for "ids">List of IDs to mark as Living</label>
     <br /><textarea name="ids" rows="30" cols="60"><?php echo $ids;?></textarea>
     <br /><button type="submit">Process Living Field</button>
     </form>
     <?php echo $error;?>
</body>
</html>